diff -Nru cpio-2.11/debian/changelog cpio-2.11/debian/changelog
--- cpio-2.11/debian/changelog	2012-06-12 11:41:45.000000000 +0000
+++ cpio-2.11/debian/changelog	2012-11-16 12:27:03.000000000 +0000
@@ -1,3 +1,9 @@
+cpio (2.11-9) UNRELEASED; urgency=low
+
+  * Fix FTBFS with glibc-2.16 (due to outdated gnulib/gets removal)
+
+ -- Wookey <wookey@wookware.org>  Fri, 16 Nov 2012 12:23:30 +0000
+
 cpio (2.11-8) unstable; urgency=low
 
   * Enable hardened build flags
diff -Nru cpio-2.11/debian/patches/glibc-2.16-gnulib-nogets.patch cpio-2.11/debian/patches/glibc-2.16-gnulib-nogets.patch
--- cpio-2.11/debian/patches/glibc-2.16-gnulib-nogets.patch	1970-01-01 00:00:00.000000000 +0000
+++ cpio-2.11/debian/patches/glibc-2.16-gnulib-nogets.patch	2012-11-16 12:22:43.000000000 +0000
@@ -0,0 +1,31 @@
+Description: Allow package to build with glibc-2.16
+ 'gets' has been removed from glibc-2.16 but gnulib still refers to it
+ causing build failures.
+ The simple fix for now is just to put a check around the reference in
+ lib/stdio.in.h
+ A new release made with a new gnulib is a better fix.
+ .
+Author: Wookey <wookey@wookware.org>
+Last-Update: 2012-11-15
+Bug : http://lists.gnu.org/archive/html/bug-gnulib/2012-03/msg00186.html
+Bug-Debian: http://bugs.debian.org/687986
+Forwarded: no
+
+Index: cpio-2.11/gnu/stdio.in.h
+===================================================================
+--- cpio-2.11.orig/gnu/stdio.in.h	2010-03-11 05:01:40.000000000 +0000
++++ cpio-2.11/gnu/stdio.in.h	2012-11-16 12:20:52.000000000 +0000
+@@ -136,10 +136,11 @@
+ #endif
+ 
+ /* It is very rare that the developer ever has full control of stdin,
+-   so any use of gets warrants an unconditional warning.  Assume it is
+-   always declared, since it is required by C89.  */
++   so any use of gets warrants an unconditional warning. */
+ #undef gets
++#ifdef HAVE_RAW_DECL_GETS
+ _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
++#endif
+ 
+ #if @GNULIB_FOPEN@
+ # if @REPLACE_FOPEN@
diff -Nru cpio-2.11/debian/patches/series cpio-2.11/debian/patches/series
--- cpio-2.11/debian/patches/series	2012-06-12 11:30:10.000000000 +0000
+++ cpio-2.11/debian/patches/series	2012-11-16 12:25:52.000000000 +0000
@@ -6,3 +6,4 @@
 218086-reporting-bugs.patch
 588020-manpages-see-also.patch
 627444-invalid-redefinition-of-stat.patch
+glibc-2.16-gnulib-nogets.patch
\ No newline at end of file
